Subject: Re: [bug#74756] [PATCH gnome-team 0/3] Update gjs to 1.82.1

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 20 Feb 2025 20:23:20 +0100

Hi,

Am Donnerstag, dem 20.02.2025 um 15:26 -0300 schrieb André Batista:
> I've sent #76421 adding mozjs-128, but keeping mozjs as is to avoid
> rebuilding current gjs and gnome.  I've tried building it with icu4c-
> 75, but got unexpected errors on test phase.  Since v73 is the one
> bundled with mozilla sources and it is enough for gnome, I gather
> it's best to keep it that way.
> 
> Is that enough to help you get the gnome branch going forward?
mozjs-128/icu4c-73 suffice for gnome-team, but being packaged as
additional packages rather than having the default bumped is less than
ideal.  If gjs does not build with the patch applied, we could pin it
on the older version until gnome-team is merged.

WDYT?